CMSIS-Driver: Driver_SAI.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_SAI.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_SAI_GetVersion (void)
| Get driver version. More...
ARM_SAI_CAPABILITIES | ARM_SAI_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_SAI_Initialize (ARM_SAI_SignalEvent_t cb_event)
| Initialize SAI Interface. More...
int32_t | ARM_SAI_Uninitialize (void)
| De-initialize SAI Interface. More...
int32_t | ARM_SAI_PowerControl (ARM_POWER_STATE state)
| Control SAI Interface Power. More...
int32_t | ARM_SAI_Send (const void *data, uint32_t num)
| Start sending data to SAI transmitter. More...
int32_t | ARM_SAI_Receive (void *data, uint32_t num)
| Start receiving data from SAI receiver. More...
uint32_t | ARM_SAI_GetTxCount (void)
| Get transmitted data count. More...
uint32_t | ARM_SAI_GetRxCount (void)
| Get received data count. More...
int32_t | ARM_SAI_Control (uint32_t control, uint32_t arg1, uint32_t arg2)
| Control SAI Interface. More...
ARM_SAI_STATUS | ARM_SAI_GetStatus (void)
| Get SAI status. More...
void | ARM_SAI_SignalEvent (uint32_t event)
| Signal SAI Events. More...